---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: issues
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/issues:production_31aef17b

        envs:
          - name: ENVIRONMENT
            value:
              _default: "production"

          - name: AERO_PUBLIC_HOST
            value:
              _default: "https://sarex.dsinv.ru"

          - name: AERO_HOST
            value:
              _default: "https://sarex.contour.infra.sarex.tech"

          - name: BASE_AERO_URL
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: BASE_AUTH_URL
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: WORKFLOWS_HOST
            value:
              _default: "http://workflows-service.workflow.svc.cluster.local:8000"

          - name: WORKFLOWS_URL
            value:
              _default: "https://sarex.dsinv.ru"

          - name: RESOURCES_API_HOST
            value:
              _default: "http://resources-service.resources.svc.cluster.local:8000"

          - name: EAV_HOST
            value:
              _default: "http://eav-service.eav.svc.cluster.local:8000"

          - name: SAREX_API
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: DOCUMENTATIONS_URL
            value:
              _default: "http://documentations-api-svc.documentations.svc.cluster.local:80"

          - name: DJANGO_SETTINGS_MODULE
            value:
              _default: "config.settings.production"

          - name: API_ADDRESS
            value:
              _default: "8000"

          - name: ENABLE_MAILGUN
            value:
              _default: "False"

          - name: SMTP_HOST
            value:
              _default: "relay.dsinv.ru"

          - name: SMTP_PORT
            value:
              _default: "25"

          - name: EMAIL_FROM
            value:
              _default: "sarex@dsinv.ru"

          - name: USE_NOTIFICATIONS
            value:
              _default: "True"

          - name: REDIS_HOST
            value:
              _default: "redis-service.issues.svc.cluster.local"

          - name: DATABASE_HOST
            value:
              _default: "postgres-service.issues.svc.cluster.local"

          - name: DATABASE_PORT
            value:
              _default: "5432"

          - name: DATABASE_NAME
            value:
              _default: "issues"
